@extends('layouts.default')
@section('title', $title)
@section('content')
    <!-- Page Header -->
    <div class="page-header">
        <div>
            <h2 class="main-content-title tx-24 align-items-center">Welcome, {{ Auth::user()->name }}!</h2>
        </div>
    </div>
    <!-- End Page Header -->
    <x-danger-alert />
    <x-success-alert />
    @if (!empty($settings->welcome_message) and Auth::user()->created_at->diffInDays() <= 3)
        <div class="row">
            <div class="col-12">
                <div class="alert alert-primary alert-dismissible fade show" role="alert">
                    {{ $settings->welcome_message }}
                    <button type="button" class="btn-close text-white bg-dark" data-bs-dismiss="alert"
                        aria-label="Close"></button>
                </div>
            </div>
        </div>
    @endif
    @if ($settings->enable_annoc == 'on' and !empty($settings->newupdate))
        <div class="row">
            <div class="col-12">
                <div class="alert alert-info alert-dismissible fade show" role="alert">
                    {{ $settings->newupdate }}
                    <button type="button" class="btn-close text-white bg-dark" data-bs-dismiss="alert"
                        aria-label="Close"></button>
                </div>
            </div>
        </div>
    @endif


    <div class="mb-4 row row-sm">
        <div class="col-12">
            <div class="nk-block-head-content">
                <h5 class="text-primary h5">Account Summary</h5>
            </div>
        </div>
        <div class="col-sm-12 col-md-6 col-lg-6 col-xl-4">
            <div class="card custom-card">
                <div class="card-body">
                    <div class="card-item">
                        <div class="card-item-icon card-icon">
                            <i class="fas fa-wallet text-primary"></i>
                        </div>
                        <div class="mb-2 card-item-title">
                            <label class="mb-1 main-content-label tx-13">Account Balance</label>
                        </div>
                        <div class="card-item-body">
                            <div class="card-item-stat">
                                <h4 class="font-weight-normal">
                                    {{ $settings->currency }}{{ number_format(Auth::user()->account_bal, 2, '.', ',') }}
                                </h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @if ($mod['investment'])
            <div class="col-sm-12 col-md-6 col-lg-6 col-xl-4">
                <div class="card custom-card">
                    <div class="card-body">
                        <div class="card-item">
                            <div class="card-item-icon card-icon">
                                <i class="fas fa-coins text-primary"></i>
                            </div>
                            <div class="mb-2 card-item-title">
                                <label class="mb-1 main-content-label tx-13">Total Profit</label>
                            </div>
                            <div class="card-item-body">
                                <div class="card-item-stat">
                                    <h4 class="font-weight-normal">
                                        {{ $settings->currency }}{{ number_format(Auth::user()->roi, 2, '.', ',') }}
                                    </h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        @endif
        <div class="col-sm-12 col-md-6 col-lg-6 col-xl-4">
            <div class="card custom-card">
                <div class="card-body">
                    <div class="card-item">
                        <div class="card-item-icon card-icon">
                            <i class="fas fa-gift text-primary"></i>
                        </div>
                        <div class="mb-2 card-item-title">
                            <label class="mb-1 main-content-label tx-13">Bonus</label>
                        </div>
                        <div class="card-item-body">
                            <div class="card-item-stat">
                                <h4 class="font-weight-normal">
                                    {{ $settings->currency }}{{ number_format(Auth::user()->bonus, 2, '.', ',') }}
                                </h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        @if ($mod['subscription'])
            <div class="col-sm-12 col-md-6 col-lg-6 col-xl-4">
                <div class="card custom-card">
                    <div class="card-body">
                        <div class="card-item">
                            <div class="card-item-icon card-icon">
                                <i class="fas fa-th-list text-primary"></i>
                            </div>
                            <div class="mb-2 card-item-title">
                                <label class="mb-1 main-content-label tx-13">Trading Accounts</label>
                            </div>
                            <div class="card-item-body">
                                <div class="card-item-stat">
                                    <h4 class="font-weight-normal">
                                        {{ $trading_accounts }}
                                    </h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        @endif
        <div class="col-sm-12 col-md-6 col-lg-6 col-xl-4">
            <div class="card custom-card">
                <div class="card-body">
                    <div class="card-item">
                        <div class="card-item-icon card-icon">
                            <i class="fas fa-money-bill-wave text-primary"></i>
                        </div>
                        <div class="mb-2 card-item-title">
                            <label class="mb-1 main-content-label tx-13">Referral Bonus</label>
                        </div>
                        <div class="card-item-body">
                            <div class="card-item-stat">
                                <h4 class="font-weight-normal">
                                    {{ $settings->currency }}{{ number_format(Auth::user()->ref_bonus, 2, '.', ',') }}
                                </h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-sm-12 col-md-6 col-lg-6 col-xl-4">
            <div class="card custom-card">
                <div class="card-body">
                    <div class="card-item">
                        <div class="card-item-icon card-icon">
                            <i class="fas fa-arrow-alt-circle-down text-primary"></i>
                        </div>
                        <div class="mb-2 card-item-title">
                            <label class="mb-1 main-content-label tx-13">Total Deposit</label>
                        </div>
                        <div class="card-item-body">
                            <div class="card-item-stat">
                                <h4 class="font-weight-normal">
                                    {{ $settings->currency }}{{ number_format($deposited, 2, '.', ',') }}
                                </h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        @if ($mod['investment'] || $mod['cryptoswap'])
            <div class="col-sm-12 col-md-6 col-lg-6 col-xl-4">
                <div class="card custom-card">
                    <div class="card-body">
                        <div class="card-item">
                            <div class="card-item-icon card-icon">
                                <i class="fas fa-arrow-alt-circle-up text-primary"></i>
                            </div>
                            <div class="mb-2 card-item-title">
                                <label class="mb-1 main-content-label tx-13">Total
                                    Withdrawal</label>
                            </div>
                            <div class="card-item-body">
                                <div class="card-item-stat">
                                    <h4 class="font-weight-normal">
                                        {{ $settings->currency }}{{ number_format($total_withdrawal, 2, '.', ',') }}
                                    </h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        @endif
    </div>

    @if ($mod['investment'])
        {{-- Active Investment plans section --}}
        <div class="mt-4 row">
            <div class="col-12">
                <div class="nk-block-head-content">
                    {{-- <h5 class="text-white h5 d-md-block d-none">Recent Plan(s) <span class="text-base count">(2)</span></h5> --}}
                    <h5 class="text-primary h5">Active Plan(s) <span
                            class="text-base count">({{ $plans ? count($plans) : '0' }})</span></h5>
                </div>
            </div>
            <div class="col-12">
                @forelse ($plans as $plan)
                    <div class="row">
                        <div class="col-md-12">
                            <div class="py-4 card">
                                <div class="card-body d-flex justify-content-between align-items-center">

                                    <div class="">
                                        <h6 class="text-black h6">{{ $plan->dplan->name }}</h6>
                                        <p class="text-muted">Amount - <span
                                                class="amount">{{ $settings->currency }}{{ number_format($plan->amount) }}</span>
                                        </p>
                                    </div>
                                    <div class="d-none d-md-block">
                                        <div class="d-flex justify-content-around">
                                            <div class="mr-3">
                                                <h6 class="text-black bold">
                                                    {{ $plan->created_at->toDayDateTimeString() }}
                                                </h6>
                                                <span class="nk-iv-scheme-value date">Start Date</span>
                                            </div>
                                            <i class="fas fa-arrow-right text-muted"></i>
                                            <div class="ml-3">
                                                <h6 class="text-black bold">
                                                    {{ \Carbon\Carbon::parse($plan->expire_date)->toDayDateTimeString() }}
                                                </h6>
                                                <span class="nk-iv-scheme-value date">End Date</span>
                                            </div>
                                        </div>
                                    </div>

                                    <div>
                                        <h6 class="text-black">
                                            @if ($plan->active == 'yes')
                                                <span class="badge badge-success">Active</span>
                                            @elseif($plan->active == 'expired')
                                                <span class="badge badge-danger">Expired</span>
                                            @else
                                                <span class="badge badge-danger">Inactive</span>
                                            @endif
                                        </h6>
                                        <span class="nk-iv-scheme-value amount">Status</span>
                                    </div>

                                    <a href="{{ route('plandetails', $plan->id) }}">
                                        <i class="fas fa-chevron-right fa-2x"></i>
                                    </a>
                                </div>
                            </div>
                        </div>

                    </div>

                @empty
                    <div class="mt-4 row">
                        <div class="col-md-12">
                            <div class="py-4 card">
                                <div class="text-center card-body">
                                    <p>You do not have an active investment plan at the moment.</p>
                                    <a href="{{ route('mplans') }}" class="px-3 btn btn-primary">Buy a
                                        plan</a>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforelse
                @if (count($plans) > 0)
                    <div class="text-right">
                        <a href="{{ route('myplans', 'yes') }}"> <i class="fas fa-archive"></i> Go to my
                            plans</a>
                    </div>
                @endif
            </div>
        </div>
        {{-- end of active investmet and purchase of investment plan --}}
    @endif


    {{-- 10 Recent transaction begin --}}
    <div class="mt-4 row">
        <div class="col-12">
            <div class="nk-block-head-content">
                <h6 class="text-primary h5">Recent transactions <span
                        class="text-base count">({{ count($t_history) }})</span>
                </h6>
            </div>
        </div>
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="mb-2 text-right">
                        <a href="{{ route('accounthistory') }}"> <i class="fas fa-clipboard"></i> View
                            all
                            transactions</a>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-striped">
                            <thead>
                                <tr class="bg-light">
                                    <th>Date</th>
                                    <th>Type</th>
                                    <th>Amount</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse ($t_history as $item)
                                    <tr>
                                        <td>
                                            {{ $item->created_at->toDayDateTimeString() }}
                                        </td>
                                        <td>
                                            {{ $item->type }}
                                        </td>
                                        <td>
                                            <span class="badge bg-secondary">
                                                {{ $settings->currency }}{{ number_format($item->amount) }}</span>
                                        </td>
                                    </tr>
                                @empty
                                    <td colspan="3">
                                        No record yet
                                    </td>
                                @endforelse

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

        </div>
    </div>
    {{-- end of recent transactions --}}

    <div class="mt-4 row">
        <div class="mb-4 col-xxl-12 col-xl-12 col-lg-12 col-md-12">
            <div class="card custom-card">
                <div class="card-body">
                    <h3 class="card-title tx-18">
                        <label class="main-content-label tx-15">Refer Us & Earn</label>
                    </h3>
                    <div class="mt-3 row crypto-wallet">
                        <div class="mt-1 col-md-10">
                            <h6 class="tx-semibold">Use the below link to invite your friends. </h6>
                            <div class="input-group">
                                <input type="text" class="form-control input-lg" id="wallet-address"
                                    value="{{ Auth::user()->ref_link }}" id="reflink" readonly>
                                <div class="input-group-prepend">
                                    <button class="btn btn-primary clipboard-icon clipboard-box"
                                        data-clipboard-target="#wallet-address" onclick="myFunction()">COPY</button>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
    {{-- <div class="mt-4 row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <h5 class="text-black">Live Market Data</h5>
                    @include('includes.chart')
                    </div>
                </div>
            </div>
        </div>
    </div> --}}

@endsection
