@extends('layouts.default')
@section('title', $title)
@section('content')
    <!-- Page Header -->
    <div class="page-header">
        <div>
            <h2 class="main-content-title tx-24 align-items-center">Place a withdrawal request
            </h2>
        </div>
    </div>
    <!-- End Page Header -->
    <!-- Row -->
    <div class="row row-sm">
        @foreach ($wmethods as $method)
            <div class="col-xxl-4 col-xl-6 col-lg-6 col-sm-6">
                <div class="card card-pricing custom-card">
                    <div class="card-body">
                        <div class="d-flex">
                            <div class="mb-0">

                                <h2 class="mt-2 mb-5 text-primary">{{ $method->name }} </h2>

                            </div>

                        </div>
                        <hr class="message-inner-separator">
                        <div class="pricingContent1">
                            <ul>
                                <li class="pt-1"><i
                                        class="p-1 fe fe-check me-2 text-success bg-success-transparent font-weight-bold tx-12 rounded-circle"></i><span
                                        class="tx-semibold">Minimum withdrawable amount</span>
                                    {{ $settings->currency }}{{ number_format($method->minimum) }}</li>
                                <li><i
                                        class="p-1 fe fe-check me-2 text-success bg-success-transparent font-weight-bold tx-12 rounded-circle"></i><span
                                        class="tx-semibold">Maximum withdrawable amount
                                    </span> {{ $settings->currency }}{{ number_format($method->maximum) }}</li>
                                <li><i
                                        class="p-1 fe fe-check me-2 text-success bg-success-transparent font-weight-bold tx-12 rounded-circle"></i><span
                                        class="tx-semibold">Charge Type: </span> {{ $method->charges_type }}</li>
                                <li>
                                    <i
                                        class="p-1 fe fe-x me-2 text-danger bg-danger-transparent font-weight-bold tx-12 rounded-circle"></i>
                                    <span class="tx-semibold">Charges Amount:</span>
                                    @if ($method->charges_type == 'percentage')
                                        {{ $method->charges_amount }}%
                                    @else
                                        {{ $settings->currency }}{{ $method->charges_amount }}
                                    @endif
                                </li>
                                <li><i
                                        class="p-1 fe fe-x me-2 text-danger bg-danger-transparent font-weight-bold tx-12 rounded-circle"></i><span
                                        class="tx-semibold">Duration: </span> {{ $method->duration }}
                                </li>
                            </ul>
                            @if ($settings->enable_with == 'false')
                                <button class="mb-2 btn ripple btn-primary-transparent btn-blockl" data-toggle="modal"
                                    data-target="#withdrawdisabled"><i class="fa fa-plus"></i> Request
                                    withdrawal</button>
                            @else
                                <form action='{{ route('withdrawamount') }}' method="POST">
                                    @csrf
                                    <div class="form-group">
                                        <input type="hidden" value="{{ $method->name }}" name="method">
                                        <button class="mb-2 btn ripple btn-primary-transparent btn-block" type='submit'><i
                                                class="fa fa-plus"></i> Request withdrawal</button>
                                    </div>
                                </form>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        @endforeach
    </div>
    <!-- End Row -->
@endsection
